Subject: Re: [PATCH 1/2] powerpc/configs: merge pseries_defconfig and pseries_le_defconfig

From: Anton Blanchard <[email-masked]>
Date: Sun, 24 May 2015 11:57:04 +1000

Hi Cyril,

> These two configs should be identical with the exception of big or
> little endian
> 
> The big endian version has XMON_DEFAULT turned on while the little
> endian has XMON_DEFAULT not set. Enable XMON_DEFAULT for little
> endian.

I disabled it on the LE defconfig on purpose. In most cases we want to
get the kernel back around and running again. I got sick of building a
mainline kernel for a non development box and coming back to it stuck in
xmon.

Should we disable it by default and require developers who want xmon to
set the config option, or use the xmon=on boot?

Anton